
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#include "pgl.h"

#include "NetPipeSym.h"
#include "NetPipeArrIter.h"


NetPipeArrIter::NetPipeArrIter(CfgSyms &aCfgSyms, const Addrs *aLocalAddrs) {
	theCfgs = aCfgSyms;
	start(aLocalAddrs);
}

NetPipeSym *NetPipeArrIter::pipeSym() {
	return &(NetPipeSym&)cfgSym(theCfgIdx)->cast("NetPipe");
}

HostsBasedSym *NetPipeArrIter::cfgSym(int idx) const {
	return theCfgs[idx];
}

int NetPipeArrIter::cfgCount() const {
	return theCfgs.count();
}
