
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#include "base/polygraph.h"

#include "xstd/String.h"
#include "xstd/FileScanner.h"
#include "base/UniqId.h"
#include "runtime/globals.h"

String ThePrgName = "?";
FileScanner *TheFileScanner = 0;
UniqId TheGroupId = UniqId::Create();

/* initialization */

int GlobInit::TheUseCount = 0;

void GlobInit::init() { 
	TheFileScanner = 0; // selected run-time
}

void GlobInit::clean() {
	delete TheFileScanner; TheFileScanner = 0;
}
