
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_POLYGRAPH_BROADCAST_CHANNELS_H
#define PG_POLYGRAPH_BROADCAST_CHANNELS_H

#include "LibInit.h"
#include "runtime/BcastChannel.h"

extern BcastChannel *TheWaitBegChannel;
extern BcastChannel *TheWaitEndChannel;

extern BcastChannel *TheConnOpenChannel;
extern BcastChannel *TheConnCloseChannel;
extern BcastChannel *TheConnEstChannel;

extern BcastChannel *TheXactBegChannel;
extern BcastChannel *TheXactEndChannel;
extern BcastChannel *TheXactErrChannel;

extern BcastChannel *TheIcpXactBegChannel;
extern BcastChannel *TheIcpXactEndChannel;
extern BcastChannel *TheIcpXactErrChannel;

extern BcastChannel *TheErrChannel;
extern BcastChannel *TheInfoChannel;

extern BcastChannel *TheLogCfgChannel;
extern BcastChannel *TheLogStateChannel;

extern BcastChannel *ThePhasesEndChannel;

LIB_INITIALIZER(PolyBcastChannelsInit)

#endif
