
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_MATCH_AND_PRINT_H
#define PG_MATCH_AND_PRINT_H

class ostream;
class String;

#include "Array.h"

// scans buf for matching objects and prints them
// prints the entire buffer if no names were specified
// retuns number of matches or -1 if no names were specified
extern int MatchAndPrint(ostream &os, const char *buf, const Array<String*> &names);

// same as MatchAndPrint but extracts and prints object bodies only
extern int MatchAndPrintBodies(ostream &os, const char *buf, const Array<String*> &names);

// same as MatchAndPrint but extracts and prints object tags only
extern int MatchAndPrintHeader(ostream &os, const char *buf, const Array<String*> &names);

#endif
