
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PGL_STATS_SAMPLE_CONFIGURATION_H
#define PGL_STATS_SAMPLE_CONFIGURATION_H

#include "String.h"

// a record describing a single stats sample

struct StatsSampleCfg {
	String name;  // sample name
	Time start;   // when to start sampling (relative to run start)
	int capacity; // entries in this sample

	StatsSampleCfg(): capacity(0) {}
};

#endif
