/* 
 * %%nomodsWarning
 */

/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#include "pgl.h"

#include "PglExprSym.h"
#include "PglBoolSym.h"
#include "PglIntSym.h"
#include "PglNumSym.h"
#include "PglTimeSym.h"
#include "PglSizeSym.h"
#include "PglStringSym.h"
#include "PglQualifSym.h"
#include "PglKnownNamesSym.h"
#include "PglArraySym.h"
#include "PglListSym.h"

#include "pglSyms.h"
#include "PglSemx.h"
#include "PglParser.h"

typedef PglSemx LangSemx;

%%prelude

%%attrdef

%%code

PglParser::PglParser(Lexer *l) : GParser(l) {
	// static int _condTable[] = %%condTable;

	acceptState = %%acceptState;
	// condTable = _condTable;
	maxState = %%states;

	PglSemx::Init();
}

PglParser::~PglParser() {
	PglSemx::Done();
}

int PglParser::actionTable(int state, int sym) {
	static int _actionTable[%%states][%%symbols] = %%actionTable;
	return _actionTable[state][sym];
}

ReduceInfo *PglParser::reduceTable(int i) {
	static ReduceInfo _reduceTable[] = %%reduceTable;
	return(&_reduceTable[i]);
}

%%postlude
