
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef XSTD_FIX_RESOURCE_USAGE_H
#define XSTD_FIX_RESOURCE_USAGE_H

#include "Time.h"
#include "Size.h"

#ifndef HAVE_TYPE_RUSAGE
	// fake structure
	struct rusage {
		timeval ru_stime;
		timeval ru_utime;
		long ru_maxrss;
		long ru_majflt;
		long other[16];
	};
#elif defined(CFG_HOS_SGI) && _ABIAPI
#	define ru_maxrss ru_pad[0]
#	define ru_majflt ru_pad[5]
#endif

extern Size MaxRss2Size(long maxrss);

#endif
